html {
    height: 100%;
}

body {
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    color: #08101D;
    background-color: whitesmoke;
}

svg {
    cursor: pointer;
}

#pano {
    width: 100%;
    height: 100%;
    position: relative;
    background-color: #08101D;
}

progress {
    position: absolute;
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    background-color: lightgray;
    left: 0;
    bottom: 0;
    height: 0.7vh;
}

progress::-webkit-progress-value {
    background-color: white;
}

.img-overlay {
    position: fixed;
    display: none;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    z-index: 100;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.6);
}

.zoomed-img-wrapper {
    display: flex;
    justify-content: center;
    transform: scale(0.8) translate(0px, 0px);
    cursor: grab;
}

.zoomed-img-wrapper .custom-zoomed-img {
    height: 50vw;
}

.zoomed-img-wrapper #close {
    position: absolute;
    right: 50px;
    top: 50px;
    fill: white;
    height: 30px;
    width: 30px;
    cursor: pointer;
}

.scaledClose {
    position: absolute;
    right: 50px;
    top: 50px;
    fill: white;
    height: 30px;
    width: 30px;
    cursor: pointer;
    z-index: 9999;
}

.custom-img {
    width: 50%;
    height: 50%;
    cursor: pointer;
}

@media (min-width: 1280px) and (max-width: 1879px) {


    .zoomed-img-wrapper .custom-zoomed-img {
        height: 60vw;
    }

    .zoomed-img-wrapper #close {
        height: 30px;
        width: 30px;
        top: 40px;
        right: 40px;
    }

    .scaledClose {
        height: 30px;
        width: 30px;
        top: 40px;
        right: 40px;
    }
}

@media (min-width: 801px) and (max-width: 1279px) {

    .zoomed-img-wrapper .custom-zoomed-img {
        height: 70vw;
    }

    .zoomed-img-wrapper #close {
        height: 25px;
        width: 25px;
        right: 30px;
        top: 30px;
    }

    .scaledClose {
        height: 25px;
        width: 25px;
        right: 30px;
        top: 30px;
    }
}

@media (min-width: 400px) and (max-width: 800px) {


    .zoomed-img-wrapper .custom-zoomed-img {
        height: 80vw;
    }

    .zoomed-img-wrapper #close {
        height: 20px;
        width: 20px;
        right: 25px;
        top: 25px;
    }

    .scaledClose {
        height: 20px;
        width: 20px;
        right: 25px;
        top: 25px;
    }
}

@media (max-width: 399px) {

    .zoomed-img-wrapper .custom-zoomed-img {
        height: 90vw;
    }

    .zoomed-img-wrapper #close {
        height: 15px;
        width: 15px;
        right: 20px;
        top: 20px;
    }

    .scaledClose {
        height: 15px;
        width: 15px;
        right: 20px;
        top: 20px;
    }
}

.shareButton {
    position: absolute;
    border: none;
    bottom: 2vh;
    right: 2vh;
    z-index: 110;
    background: #08101D;
    width: 5vh;
    height: 5vh;
    border-radius: 50%;
    transition: all 150ms;
    opacity: 0.3;
}

.shareButton:hover {
    transform: scale(1.1) translateY(-3px);
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.25);
}

#shareIcon {
    fill: #FFF;
    width: 60%;
    height: 60%;
    opacity: 1;
    display: block;
    margin: auto;
}

#heatmap-overlay {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    pointer-events: none;
}

.selection {
    margin: 20px;
}

.custom-select {
    position: relative;
}

.custom-select select {
    display: none;
    /*hide original SELECT element:*/
}

.select-selected {
    background-color: #0F1621;
    outline: 1px solid white;
    pointer-events: all;
}

/*style the arrow inside the select element:*/
.select-selected:after {
    position: absolute;
    content: '\276F';
    top: 14px;
    right: 10px;
    width: 0;
    height: 0;
    font-size: 20px;
    display: inline-block;
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    pointer-events: all;
}

/*point the arrow upwards when the select box is open (active):*/
.select-selected.select-arrow-active:after {
    position: absolute;
    content: '\276E';
    top: 14px;
    right: 10px;
    width: 0;
    height: 0;
    font-size: 20px;
    display: inline-block;
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    pointer-events: all;
}

/*style the items (options), including the selected item:*/
.select-items div,
.select-selected {
    color: #ffffff;
    padding: 8px 16px;
    border: 1px solid transparent;
    border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
    cursor: pointer;
    user-select: none;
    pointer-events: all;
}

/*style items (options):*/
.select-items {
    position: absolute;
    background-color: #0F1621;
    color: rgba(255, 255, 255, 0.5);
    top: 100%;
    left: 0;
    right: 0;
    z-index: 99;
    pointer-events: all;
}

/*hide the items when the select box is closed:*/
.select-hide {
    display: none;
}

.select-items div:hover,
.same-as-selected {
    background-color: #192538;
}

.legend {
    display: flex;
    position: absolute;
    left: 20px;
    bottom: 30px;
    background-color: #0F1621;
    color: #fff;
    height: 60px;
    width: 320px;
    padding: 0px 40px 0px 20px;
    align-items: center;
}

.legend div {
    width: 100px;
    font-size: 14px;
}

.legend div:last-child{
    width: 85px;
}

.last-legend {
    width: 100%;
}

.legend div p {
    margin: 0px;
    padding: 0px;
    display: inline-block;
}

.legend div p:first-child{
    margin-left: -8px;
}

.legend div p:last-child {
    position: absolute;
    right: 20px;
}

.legend span::before {
    content: '|';
    color: #fff;
    display: inline-block;
    width: 4px;
    height: 4px;
    position: relative;
    top: -12px;
    left: -1px;
}

.legend span {
    width: 100%;
    height: 5px;
    display: inline-block;
    vertical-align: bottom;
}

.legend span:first-child {
    margin-left: 8px;
}

.legend div:last-child span::after {
    content: '|';
    color: #fff;
    display: inline-block;
    width: 4px;
    height: 4px;
    position: relative;
    top: -12px;
    right: -80px;
}

.opacity {
    display: flex;
    flex-direction: column;
    position: absolute;
    right: 20px;
    bottom: 30px;
    background-color: #0F1621;
    color: #fff;
    height: 60px;
    width: 320px;
    padding: 0px 20px;
    align-items: center;
}

.opacity .text {
    margin: 10px 0px;
    display: flex;
    width: 100%;
    justify-content: space-between;
    font-size: 12px;
}

.range {
    width: 100%;
    height: 10px;
    margin: auto;
    display: block;
    margin-top: 0px;
    background: linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    border: 1px solid rgba(255, 255, 255, 0.5);
    pointer-events: all;
  }

  .range::after {
    content: '|';
    color: #FFF;
    position: relative;
    top: -15px;
  }
  
input[type="range"]::-webkit-slider-runnable-track {
    -webkit-appearance: none;
    background: black;
    background: -webkit-linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    background: linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    height: 7.5px;
  }
  
  input[type="range"]:focus {
    outline: none;
  }
  
    input[type="range"]::-moz-range-track {
    -moz-appearance: none;
    background: black;
    background: -moz-(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    background: -webkit-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    background: -webkit-linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    background: -o-linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    background: -ms-linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    background: linear-gradient(270deg, #D3BB8A 0%, rgba(211, 187, 138, 0) 92.99%);
    height: 2px;
  }
  
  input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: 2px solid white;
    height: 30px;
    width: 30px;
    max-width: 80px;
    position: relative;
    bottom: 5px;
    background: black;
    cursor: -webkit-grab;
  
    -webkit-transition: border 1000ms ease;
    transition: border 1000ms ease;
  }
  
  input[type="range"]::-moz-range-thumb {
    -moz-appearance: none;
    border: 2px solid;
    height: 25px;
    width: 25px;
    max-width: 80px;
    position: relative;
    bottom: 5px;
    background: black;
    cursor: -moz-grab;
    -moz-transition: border 1000ms ease;
    transition: border 1000ms ease;
  }